Create a submission
POST
/
api
/
v1
/
submissions
Create a submission
curl --request POST \
--url https://{defaultHost}/api/v1/submissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "<string>",
"taxonomy_id": "<string>",
"rows": [
{
"data": {}
}
]
}
'import requests
url = "https://{defaultHost}/api/v1/submissions"
payload = {
"workspace_id": "<string>",
"taxonomy_id": "<string>",
"rows": [{ "data": {} }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspace_id: '<string>', taxonomy_id: '<string>', rows: [{data: {}}]})
};
fetch('https://{defaultHost}/api/v1/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
API key authentication. Use Authorization: Bearer thub_xxxxx
Headers
API key token (e.g., Bearer thub_abc123)
Query Parameters
Workspace ID
Body
application/json
Response
201
submission created
⌘I
Create a submission
